> ## Documentation Index
> Fetch the complete documentation index at: https://phidatainc-agui.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Slack Events

> Process incoming Slack events



## OpenAPI

````yaml post /slack/events
openapi: 3.1.0
info:
  title: Agno API Reference
  description: The all-in-one, private, secure agent platform that runs in your cloud.
  version: 2.5.6
servers: []
security: []
paths:
  /slack/events:
    post:
      tags:
        - Slack
      summary: Slack Events
      description: Process incoming Slack events
      operationId: slack_events_simple_team
      responses:
        '200':
          description: Event processed successfully
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/SlackChallengeResponse'
                  - $ref: '#/components/schemas/SlackEventResponse'
                title: Response Slack Events Simple Team
        '400':
          description: Missing Slack headers
        '403':
          description: Invalid Slack signature
components:
  schemas:
    SlackChallengeResponse:
      properties:
        challenge:
          type: string
          title: Challenge
          description: Challenge string to echo back to Slack
      type: object
      required:
        - challenge
      title: SlackChallengeResponse
    SlackEventResponse:
      properties:
        status:
          type: string
          title: Status
          default: ok
      type: object
      title: SlackEventResponse

````